import java.awt.Color;

/*ghassan fakher
 * section 6
 gkf01*/
public class Mirror {
	public static void main(String[] args)
	{
		Picture original = new Picture(args[0]);
		Color[][] originalColors = makeArrayOriginalColors(original);	//the colors of the smaller picture
		drawPictureModified(originalColors);
	}
	public static Color[][] makeArrayOriginalColors(Picture original)
	{
		Color[][] originalColors = new Color[original.height()][original.width()];
		for(int i = 0; i < original.height(); i++)
		{
			for(int j = 0; j < original.width(); j++)
				originalColors[i][j] = original.get(j, i);
		}
		return originalColors;
	}
	public static void drawPictureModified(Color[][] originalColors)
	{
		Picture modified = new Picture(2 * originalColors[0].length, originalColors.length);	//the original picture has the same width all over so i put 0
		for(int i = 0; i < modified.height(); i++)
		{
			for(int j = 0; j < modified.width() / 2; j++)
				modified.set(j, i, originalColors[i][j]);
		}
		for(int i = 0; i < modified.height(); i++)
		{
			for(int j = modified.width()/2 ; j < modified.width(); j++)
				modified.set(j, i, originalColors[i][modified.width() - 1 - j]);
		}
		modified.show();	
	}
}
