/*ghassan fakher
 * gkf01
 section 6*/
public class Transpose {
	public static void main(String[] args)
	{
		String filename = args[0];
		int[][] a = readArray(filename);
		transpose(a);
	}

	// Create and return a 2D array read from standard input
	public static int[][] readArray(String filename)
	{
		In matrix = new In(filename);
		int[][] a = new int[matrix.readInt()][matrix.readInt()];
		for(int i = 0; i < a.length; i++)
		{
			for(int j = 0; j <a[i].length ; j++)
				a[i][j] = matrix.readInt();
		}
		return a;
	}
	// Transposes a 2D array, argument unchanged, new array returned
	public static void transpose(int[][] a)
	{
		int newWidth = a.length;
		int newLength = a[newWidth-1].length;
		int[][] transposed = new int[newLength][newWidth];
		for (int k=0; k<newWidth; k++)
		{
			for (int r = 0; r < newLength; r++)
				transposed[r][k] = a[k][r];
		}
		printArray(transposed);
	}
	// Print a 2D array to standard output
	public static void printArray(int[][] a)
	{
		for (int i=0; i<a.length; i++)
		{
			for (int j=0; j<a[i].length; j++)
				StdOut.printf("%-3d" + " ", a[i][j]);
			StdOut.println();
		}
	}
}
