import java.awt.Color;


public class WordLengths {
	public static void main(String[] args)
	{
		In file = new In(args[0]);
		int[] lengths = new int[10];	// assuming the largest word is of 10 characters
		while(!file.isEmpty())
		{
			String word = file.readString();
			lengths[word.length()]++;
		}
		wordLength(lengths);
		printHistogram(lengths);
	}
	public static void wordLength(int[] lengths)
	{
		
		for(int i = 1; i <lengths.length; i++)
		{
			System.out.print(i + ": " + lengths[i] + " ");
			for(int j = 0; j < lengths[i]; j++)
				System.out.print("*");
			System.out.println();
		}	
	}
	public static void printHistogram(int[] lengths)
	{
		StdDraw.setCanvasSize(300, 300);
		StdDraw.setXscale(0.0, 10);
		StdDraw.setYscale(0.0, largestNumber(lengths));
		StdDraw.setPenRadius(0.01900);
		int x = 0;
		for(int i = 0; i < lengths.length;i++)
		{
			StdDraw.setPenColor(randomColor());
			StdDraw.line(x, 0.0, x, lengths[i]);
			x += 1; 
		}
		StdDraw.show();
	}
	public static Color randomColor()
	{
		Color random = new Color((int)(Math.random() * 255) , (int)(Math.random() * 255), (int)(Math.random() * 255));
		return random;
	}
	public static int largestNumber(int[] lengths)
	{
		int max = lengths[0];
		for(int i = 0; i < lengths.length; i++)
		{
			if(lengths[i] > max)
				max = lengths[i];
		}
		return max;
	}
}
