/*ghassan fakher
section 6
gkf01*/

public class ArrayOperations {
	public static void main(String[] args)
	{
		int n = 5; int m = 5;
		double [][] randomNumbersArray = generate2D(n,m);
		int min = 2; int max = 9;
		double[][] randomNumbersArray1 = generate2D(n, m, min, max);	
		StdOut.println("The sum of the elements of the array in the first method is: " + sum(randomNumbersArray));
		StdOut.println("The sum of the elements of the array in the second method is: " + sum(randomNumbersArray1));
		StdOut.println("The sum of the lower block of the double[][] array of the first method is: " + sumLowerBlock(randomNumbersArray));
		StdOut.println("The sum of the lower block of the double[][] array of the second method is: " + sumLowerBlock(randomNumbersArray1));
	}
	//generate and return an array of doubles with m columns and n rows filled with random numbers from 0 to 1 
	public static double[][] generate2D(int n, int m)
	{
		double[][] randomNumbersArray = new double[n][m];
		for(int i = 0; i < n; i++)
		{
			for(int j = 0; j < m; j++)
				randomNumbersArray[i][j] = Math.random();
		}
		return randomNumbersArray;
	}
	//generate and return an n by m array of doubles filled with random numbers between min and max 
	public static double[][] generate2D(int n, int m, int min, int max)
	{
		double[][] randomNumbersArray = new double[n][m];
		for(int i = 0; i < n; i++)
		{
			for(int j = 0; j < m; j++)
				randomNumbersArray[i][j] = Math.random()*max + min;
		}
		return randomNumbersArray;
	}
	//returns the sum of all the entries of a 2D array
	public static double sum(double[][] a)
	{
		double sum = 0;
		for(int i = 0; i < a.length; i++)
		{
			for(int j = 0; j < a[i].length; j++)
			{
				sum += a[i][j];
			}
		}
		return sum;
	}
	public static double sumLowerBlock(double[][] a)
	{
		double sumLowBlock = 0;
		for(int i = 0; i < a.length; i++)
		{
			for(int j = 0; j < a[i].length; j++)
			{
				if(i > j)	// the row is greater than the column 
					sumLowBlock += a[i][j];
			}
		}
		return sumLowBlock;
	}
}
