/*ghassan fakher
 * section 6
 * gkf01
 * 201301739*/
public class PasswordChecker {
	public static void main(String[]args)
	{
		boolean isAccepted = accepted();
		while(!isAccepted)
		{
			StdOut.println("Try again, weak password");
			isAccepted = accepted();
		}
		System.out.println("Good password");
	}
	//method that checks whether the password is acceptable by checking all the required criteria
	public static boolean accepted()
	{
		StdOut.print("Type password here:  ");
		String input = StdIn.readString();
		int[][] password = new int[5][input.length()];	//5 because the criteria used to judge the password are 5
		boolean isGood = false;
		if(input.length() >= 8)
			isGood = true;
		else
		{
			isGood = false;
			return isGood;
		}
		for(int i = 0; i < input.length(); i++)
		{
			char passwordCharacter = input.charAt(i);
			if(checkNumbers(passwordCharacter) == true)
				password[1][i]++;
			if(checkUpperCase(passwordCharacter) == true)
				password[2][i]++;
			if(checkLowerCase(passwordCharacter) == true)
				password[3][i] = 1;
			if(checkNonAlphaNumericCharacters(passwordCharacter) == true)
				password[4][i]++;
			password[0][i]++;
		}
		return(checkArray(password));
	}
	//checks if the password satisfies the condition related to the numbers
	public static boolean checkNumbers(char passwordCharacter)
	{
		String numbers = "0123456789";
		if(numbers.contains("" + passwordCharacter))
			return true;
		else
			return false;
	}
	//checks if the password satisfies the condition related to uppercase characters
	public static boolean checkUpperCase(char passwordCharacter)
	{
		String upperCaseAlphabet = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
		if(upperCaseAlphabet.contains("" + passwordCharacter))
			return true;
		else
			return false;
	}
	//checks the validity of the password in relation to the lowerCase characters
	public static boolean checkLowerCase(char passwordCharacter)
	{
		String lowerCaseAlphabet = "abccdefghijklmnopqrstuvwxyz";
		if(lowerCaseAlphabet.contains("" + passwordCharacter))
			return true;
		else
			return false;
	}
	//similarly for the non alpha numeric characters
	public static boolean checkNonAlphaNumericCharacters(char passwordCharacter)
	{
		String nonAlphaNumericCharacters = "!@#$%^&*()_+}{.|<>?-:|'\"";	//the string of almost all the required characters, hope i didn't forget any
		if(nonAlphaNumericCharacters.contains("" + passwordCharacter))
			return true;
		else
			return false;
	}
	public static boolean checkArray(int[][] password)
	{
		int count = 0; boolean isGood = false;
		for(int i = 0; i < password.length; i++)
		{	
			for(int j = 0; j < password[i].length; j++)
			{
				count += password[i][j];
			}
			if(count != 0)
				isGood = true;
			else
			{
				isGood = false;
				return isGood;
			}
			if(i != password.length - 1)
				count = 0;
		}
		if(count != 0)
			isGood = true;
		else
			isGood = false;
		return isGood;
	}
}

